module.exports = {
	redis: {
		host: '127.0.0.1',
		port: 6379,
		auth: 'your-secret-key',
		table: { /* it mean: redis.select(table[dbname]) */
			user: 1,
			post: 2,
			comment: 3
		}
	},
	mysql: function(database){
		return {
			host: 'localhost',
			port: 3306,
			user: 'root',
			password: '',
			database: database
		}
	},
	mongo: function(database){},
	origin: function(origin){
		var array = ['http://localhost:8000', 'http://localhost:3000', 'http://localhost:4000'];
		return (array.indexOf(origin)+1);
	},
	header: {
		'Access-Control-Allow-Origin': '*',
		'Cache-Control': 'no-cache',
		'Access-Control-Allow-Methods': 'GET, PUT, POST, DELETE',
		'Access-Control-Allow-Headers': 'Origin, X-Requested-With, Content-Type, Accept',
		'Connection': 'Keep-Alive'
	}
};